hadoop-mapreduce-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eugene Koontz (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MAPREDUCE-3922) Document solution for potential problem compiling 32 bit binaries on a x86_64 host.
Date Mon, 27 Feb 2012 23:41:51 GMT

    [ https://issues.apache.org/jira/browse/MAPREDUCE-3922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13217695#comment-13217695
] 

Eugene Koontz commented on MAPREDUCE-3922:
------------------------------------------

+1 on Hitesh's patch. Works well for me:

{{
cd ~/hadoop/hadoop-mapreduce-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager
&& mvn clean install package -DskipTests -Dtar -Dcontainer-executor.additional_cflags="-m32"
 -Pdist,native && file `find . -name "container-executor" -type f`

}} 

yields:

{code}
./target/native/target/usr/local/bin/container-executor: ELF 32-bit LSB executable, Intel
80386, version 1 (GNU/Linux), dynamically linked (uses shared libs), for GNU/Linux 2.6.18,
not stripped
{code}

while:

{code}
 cd ~/hadoop/hadoop-mapreduce-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager
&& mvn clean install package -DskipTests -Dtar  -Pdist,native && file `find
. -name "container-executor" -type f`
{code}

yields:

{code}
./target/native/target/usr/local/bin/container-executor: ELF 64-bit LSB executable, x86-64,
version 1 (GNU/Linux), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, not stripped
{code}
                
> Document solution for potential problem compiling 32 bit binaries on a x86_64 host.
> -----------------------------------------------------------------------------------
>
>                 Key: MAPREDUCE-3922
>                 URL: https://issues.apache.org/jira/browse/MAPREDUCE-3922
>             Project: Hadoop Map/Reduce
>          Issue Type: Improvement
>            Reporter: Eugene Koontz
>            Assignee: Eugene Koontz
>            Priority: Minor
>              Labels: bigtop, build, doc, mrv2
>         Attachments: MAPREDUCE-3922.patch, MR-3922.1.patch
>
>
> MAPREDUCE-3880 specifies that {{-m32}} be passed to gcc to ensure that a 32-bit binary
is built. On my Amazon Linux with a x86_64 architecture, I could not build the native container-executor
because the configure script exited with an error when trying to use gcc (version 4.4.5) with
this flag.
> Adds a comment to {{hadoop-mapreduce-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager/pom.xml}}
regarding package requirement for glibc-devel.i686 or glibc-devel.i386 package on yum-based
(RHEL, Centos, Amazon) Linux distributions.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message